pymatgen.analysis.structure\_prediction package
===============================================

.. automodule:: pymatgen.analysis.structure_prediction
   :members:
   :undoc-members:
   :show-inheritance:

Submodules
----------

pymatgen.analysis.structure\_prediction.dopant\_predictor module
----------------------------------------------------------------

.. automodule:: pymatgen.analysis.structure_prediction.dopant_predictor
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.structure\_prediction.substitution\_probability module
------------------------------------------------------------------------

.. automodule:: pymatgen.analysis.structure_prediction.substitution_probability
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.structure\_prediction.substitutor module
----------------------------------------------------------

.. automodule:: pymatgen.analysis.structure_prediction.substitutor
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.structure\_prediction.volume\_predictor module
----------------------------------------------------------------

.. automodule:: pymatgen.analysis.structure_prediction.volume_predictor
   :members:
   :undoc-members:
   :show-inheritance:
